| OpenZWave Library 1.6.0

Public Member Functions | List of all members
OpenZWave::LockGuard Struct Reference

`#include <Utils.h>`

## Public Member Functions
| LockGuard (Mutex *mutex)
| ~LockGuard ()
void | Unlock ()

## Constructor & Destructor Documentation

## ◆ LockGuard()

OpenZWave::LockGuard::LockGuard | ( | Mutex * | mutex | ) |
| inline

## ◆ ~LockGuard()

OpenZWave::LockGuard::~LockGuard | ( |  | ) |
| inline

## Member Function Documentation

## ◆ Unlock()

void OpenZWave::LockGuard::Unlock | ( |  | ) |
| inline

The documentation for this struct was generated from the following file:

- Utils.h